import numpy as np
import matplotlib.pyplot as plt
import scipy.linalg

N=50

wk=1.0
wp=0.5

# sestaveni matice k diagonalizaci
mtx=np.zeros((N,N))

for i in range(N):
    mtx[i,i]=wk**2

# diagonalizace
eigval,eigvec=scipy.linalg.eig(mtx)

# vzestupne setrideni vlastnich hodnot a vlastnich vektoru
indx=np.argsort(eigval)
eigval=eigval[indx]
eigvec=eigvec[:,indx]

# vykresleni vlastnich hodnot a prvnich peti vlastnich vektoru
plt.subplot(2,1,1)
plt.plot(np.sqrt(np.sort(eigval)),'k.-')
plt.subplot(2,1,2)
for i in range(5):
    plt.plot(eigvec[:,i])
plt.show()